Bug 981341 - Add CLI operations to start/stop MDB delivery
Add CLI operations to start/stop MDB delivery
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ER1
: EAP 6.2.0
Assigned To: Jeff Mesnil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 09:50 EDT by Ravi Bhardwaj
Modified: 2016-07-13 18:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release of JBoss EAP 6 includes a new *DeliveryActive* activation configuration property that is used only for the Message Driven Beans (MDB) component to activate or deactivate message delivery. The management operations *:start-delivery* and *:stop-delivery* (and the read-only *delivery-active* runtime attribute) can now be used to start and stop delivery on the MDB resource (under */deployment=<deployment_name>/subsystem=ejb3/message-driven-bean=mdb_name>*). By default, the new property is activated and delivery of messages occurs as soon as the MDB is deployed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:22 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-878 Major Resolved Message-Driven Beans doesn't support DeliveryActive activation config property 2016-06-06 11:35 EDT

  None (edit)
Description Ravi Bhardwaj 2013-07-04 09:50:24 EDT
Description of problem:

startDelivery()/stopDelivery() missing in EAP 6 which were available using JMX in EAP 5.x.
Comment 2 JBoss JIRA Server 2013-07-05 10:00:51 EDT
Jeff Mesnil <jmesnil@redhat.com> made a comment on jira WFLY-878

PR merged in master branch
Comment 3 Rostislav Svoboda 2013-07-08 04:06:03 EDT
This is new functionality, please target it for EAP 6.2.
Comment 12 Jan Martiska 2013-09-18 10:14:44 EDT
Experimented with this manually in 6.2.0.ER1.
It seems to work well and provided tests are passing. Setting to VERIFIED.
Comment 16 Scott Mumford 2013-11-25 00:08:51 EST
Added draft release note in Doc Text field and marked for inclusion in Release Notes document.

Including original text here for reference:

Features: 

Add DeliveryActive activation config property that is used only for the MDB component creation to activate or deactive message delivery.

The management operations :start-delivery & :stop-delivery (and the delivery-active runtime read-only attribute) can be used to start/stop delivery on the MDB resource (under /deployment=<deployment_name>/subsystem=ejb3/message-driven-bean=<mdb_name>).

By default, the MDB is started and delivery of messages occurs as soon as the MDB is deployed

Reasons: 

Result (if any):

Note You need to log in before you can comment on or make changes to this bug.